Loading...
Searching...
No Matches
etl::reference_wrapper< T > Class Template Reference

`#include <functional.h>`

## Public Types

typedef T | type

## Public Member Functions

ETL_CONSTEXPR20 | reference_wrapper (T &t_) ETL_NOEXCEPT
ETL_CONSTEXPR20 | reference_wrapper (const reference_wrapper &rhs) ETL_NOEXCEPT
ETL_CONSTEXPR20 reference_wrapper< T > & | operator= (const reference_wrapper &rhs) ETL_NOEXCEPT
ETL_CONSTEXPR20 T & | get () const ETL_NOEXCEPT
ETL_CONSTEXPR20 | operator T& () const ETL_NOEXCEPT

## Detailed Description

template<typename T>
class etl::reference_wrapper< T >

A definition of reference_wrapper for those that don't have C++11 support.

The documentation for this class was generated from the following file:

- include/etl/functional.h